### Enumeration

# Gio FilesystemPreviewType

#### Declaration

    enum Gio.FilesystemPreviewType

#### Description [src]

Indicates a hint from the file system whether files should be previewed in a file manager. Returned as the value of the key `G_FILE_ATTRIBUTE_FILESYSTEM_USE_PREVIEW`.

#### Members

Name | Description
--- | ---
`G_FILESYSTEM_PREVIEW_TYPE_IF_ALWAYS` | Only preview files if user has explicitly requested it.
`G_FILESYSTEM_PREVIEW_TYPE_IF_LOCAL` | Preview files if user has requested preview of “local” files.
`G_FILESYSTEM_PREVIEW_TYPE_NEVER` | Never preview files.